@umbraco-cms/backoffice
    Preparing search index...

    Hierarchy (View Summary)

    Index

    Constructors

    Properties

    Accessors

    Methods

    • Internal

      Interceptor which checks responses for 401 errors and signals the auth layer to show the login UI.

      Parameters

      • client: Client

        The OpenAPI client to add the interceptor to. It can be any client supporting Response and Request interceptors.

      Returns void

    • Internal

      Interceptor which checks responses for 500 errors and displays them as a notification if any.

      Parameters

      • client: Client

        The OpenAPI client to add the interceptor to. It can be any client supporting Response and Request interceptors.

      Returns void

    • The addEventListener() method of the EventTarget interface sets up a function that will be called whenever the specified event is delivered to the target.

      MDN Reference

      Parameters

      • type: string
      • callback: EventListenerOrEventListenerObject | null
      • Optionaloptions: boolean | AddEventListenerOptions

      Returns void

    • Internal

      Interceptor which checks responses for 403 errors and displays them as a notification.

      Parameters

      • client: Client

        The OpenAPI client to add the interceptor to. It can be any client supporting Response and Request interceptors.

      Returns void

    • Internal

      Interceptor which checks responses for the Umb-Generated-Resource header and replaces the value into the response body.

      Parameters

      • client: Client

        The OpenAPI client to add the interceptor to. It can be any client supporting Response and Request interceptors.

      Returns void

    • Internal

      Interceptor which checks responses for the umb-notifications header and displays them as a notification if any. Removes the umb-notifications from the headers.

      Parameters

      • client: Client

        The OpenAPI client to add the interceptor to. It can be any client supporting Response and Request interceptors.

      Returns void

    • Binds the default interceptors to the client. This includes the auth response interceptor, the error interceptor and the umb-notifications interceptor.

      Parameters

      • client: Client

        The OpenAPI client to add the interceptor to. It can be any client supporting Response and Request interceptors.

      Returns void

    • The dispatchEvent() method of the EventTarget sends an Event to the object, (synchronously) invoking the affected event listeners in the appropriate order. The normal event processing rules (including the capturing and optional bubbling phase) also apply to events dispatched manually with dispatchEvent().

      MDN Reference

      Parameters

      • event: Event

      Returns boolean

    • Internal

      Observes the auth signaler's authorization state to retry GET-requests that received a 401 Unauthorized response. Also notifies the user about non-GET requests that received a 401 Unauthorized response after re-authentication completes.

      Returns void

    • The removeEventListener() method of the EventTarget interface removes an event listener previously registered with EventTarget.addEventListener() from the target. The event listener to be removed is identified using a combination of the event type, the event listener function itself, and various optional options that may affect the matching process; see Matching event listeners for removal.

      MDN Reference

      Parameters

      • type: string
      • callback: EventListenerOrEventListenerObject | null
      • Optionaloptions: boolean | EventListenerOptions

      Returns void